<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="The exclude list element defines a set of methods which the Assembler marks to be uncallable. It contains one or more methods.    If the method permission relation contains methods that are in the exclude list, the Deployer must consider those methods to be uncallable.">
<meta name="KeyWords" content="ExcludeList,Class ExcludeList,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;ExcludeList&nbsp;{Analysis}</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>The&nbsp;exclude&nbsp;list&nbsp;element&nbsp;defines&nbsp;a&nbsp;set&nbsp;of&nbsp;methods&nbsp;which&nbsp;the&nbsp;Assembler&nbsp;marks&nbsp;to&nbsp;be&nbsp;uncallable.&nbsp;It&nbsp;contains&nbsp;one&nbsp;or&nbsp;more&nbsp;methods.
<BR>
<BR>If&nbsp;the&nbsp;method&nbsp;permission&nbsp;relation&nbsp;contains&nbsp;methods&nbsp;that&nbsp;are&nbsp;in&nbsp;the&nbsp;exclude&nbsp;list,&nbsp;the&nbsp;Deployer&nbsp;must&nbsp;consider&nbsp;those&nbsp;methods&nbsp;to&nbsp;be&nbsp;uncallable.
<BR></font><BR><BR>
</body>
</html>
